{
	"name": "plugin/nc-calc-server/column/order-sales.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"link_field": "ord.order_id",
			"name": "Row",
			"name_fi": "Rivi",
			"record_type": "sales",
			"variable": "idx"
		},
		{
			"export": false,
			"editable": false,
			"name": "Status",
			"name_fi": "Tila",
			"variable": "change_status",
			"width": 65
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "ord.order_id",
			"name": "Sales ord",
			"name_fi": "Myyntitil.",
			"width": 140
		},
		{
			"field": "ord.order_date",
			"name": "Ord date",
			"name_fi": "Tilaus pv",
			"width": 140
		},
		{
			"field": "ord.order_type",
			"name": "Type",
			"name_fi": "Tyyppi",
			"width": 90
		},
		{
			"field": "ord.order_state",
			"name": "State",
			"name_fi": "Tila",
			"width": 90
		},
		{
			"field": "ord.company_id",
			"name": "Customer",
			"name_fi": "Asiakas",
			"width": 160
		},
		{
			"field": "ord.price_without_vat",
			"name": "Price excl. VAT",
			"name_fi": "Hinta alv 0%",
			"format": "%'.2f",
			"width": 130
		},
		{
			"field": "ord.vat_price",
			"name": "VAT",
			"name_fi": "Alv",
			"format": "%'.2f",
			"width": 80
		},
		{
			"field": "ord.currency_id",
			"name": "Currency",
			"name_fi": "Valuutta",
			"width": 140
		},
		{
			"field": "ord.note",
			"name": "Notes",
			"name_fi": "Huomautukset",
			"width": 300
		},
		{
			"field": "ord.info",
			"name": "Info",
			"name_fi": "Info",
			"width": 300
		},
		{
			"field": "ord.record_id",
			"name": "Record ID",
			"name_fi": "Record id",
			"width": 200
		},
		{
			"field": "ord.modify_id",
			"name": "Modify id",
			"width": 110
		}
	],
	"columns_not_in_use": [
		{
			"field": "ord.vat_price",
			"name": "VAT",
			"name_fi": "Alv",
			"width": 160
		}
	]
}
